% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sys_type.R
\name{clipr_available}
\alias{clipr_available}
\title{Is the system clipboard available?}
\usage{
clipr_available()
}
\value{
boolean
}
\description{
Checks to see if the system clipboard is writeable/readable. This may be
useful if you are developing a package that relies on \link{clipr} and need
to ensure that it will skip tests on machines (e.g. CRAN, Travis) where
the system clipboard may not be available.
}
\examples{
\dontrun{
# When using testthat:
library(testthat)
skip_if_not(clipr_available())
}

}

